%global realname neotoma
%global debug_package %{nil}
%global git_tag 04f82c0


Name:		erlang-%{realname}
Version:	1.4
Release:	2%{?dist}
Summary:	Erlang library and packrat parser-generator for parsing expression grammars
Group:		Development/Languages
License:	MIT
URL:		http://github.com/seancribbs/neotoma
# wget http://github.com/seancribbs/neotoma/tarball/1.4
Source0:	seancribbs-%{realname}-%{version}-0-g%{git_tag}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-erts
BuildRequires:	erlang-eunit
BuildRequires:	erlang-tools
Requires:	erlang-erts >= R12B-5
Requires:	erlang-kernel >= R12B-5
Requires:	erlang-stdlib >= R12B-5

%description
Erlang library and packrat parser-generator for parsing expression grammars.


%prep
%setup -q -n seancribbs-%{realname}-%{git_tag}


%build
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
install -p -m 0644 -D ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -p -m 0644 ebin/%{realname}.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0644 ebin/%{realname}_*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0644 -D priv/peg_includes.erl %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/peg_includes.erl


%clean
rm -rf %{buildroot}


%check
make tests


%files
%defattr(-,root,root,-)
%doc extra/ LICENSE README.textile
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_parse.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_peg.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/peg_includes.erl


%changelog
* Thu Oct 28 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.4-2
- Ensure consistency in macro usage

* Fri Oct  1 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.4-1
- Initial build
